Subject: Re: [PATCH 2/2] net: ethernet: Add driver for Sunplus SP7021

From: Andrew Lunn <[email-masked]>
Date: Thu, 4 Nov 2021 13:59:35 +0100

On Thu, Nov 04, 2021 at 05:31:57AM +0000, Wells Lu 呂芳騰 wrote:
> Hi,
> 
> Thanks a lot for review.
> 
> > 
> > > config NET_VENDOR_SUNPLUS
> > > 	bool "Sunplus devices"
> > > 	default y
> > > 	depends on ARCH_SUNPLUS
> > 
> > Does it actually depend on ARCH_SUNPLUS? What do you make use of?
> 
> ARCH_SUNPLUS will be defined for Sunplus family series SoC.
> Ethernet devices of Sunplus are designed and used for Sunplus SoC.
> So far, only two SoC of Sunplus have the network device.
> I'd like to show up the selection only for Sunplus SoC.

So it does not actually depend on ARCH_SUNPLUS. There are a few cases
where drivers have needed to call into arch specific code, which stops
them building for any other arch.

> > Ideally, you want it to also build with COMPILE_TEST, so that the driver gets
> > build by 0-day and all the other build bots.
> 
> I am not sure if this is mandatory or not.
> Should I add COMPILE_TEST as below?
> 
> 	depends on ARCH_SUNPLUS | COMPILE_TEST

Yes.

> Yes, the device is now only for Sunplus SP7021 SoC.
> Devices in each SoC may have a bit difference because of adding new 
> function or improving something.

If it will compile with COMPILE_TEST on x86, mips, etc, you should
allow it to compile with COMPILE_TEST. You get better compile testing
that way.

     Andrew